# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-java
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global svnrel 1696

Name:           jspecview
Version:        2
Release:        alt1_16.%{svnrel}svn.1
Summary:        JAVA applets for the display of JCAMP-DX and AnIML/CML spectral files

Group:          System/Base
License:        LGPLv2
URL:            http://jspecview.sourceforge.net/
# Upstream does not release stable source tarballs. Tarball created with attached script.
Source0:        jspecview-%{svnrel}svn.tar.xz
Source1:        generate-sources.sh
# Fedora patches: no JMol bindings, no signing, no bundling
Patch0:         jspecview-fedora.patch
BuildArch:      noarch

BuildRequires:  javapackages-tools
BuildRequires:  java-devel-default /proc
BuildRequires:  ant
BuildRequires:  java-1.8.0-openjdk-javaws mozilla-plugin-java-1.8.0-openjdk
# Upstream has hardcoded stuff for eclipse setup
BuildRequires:  eclipse-jdt

Requires:       javapackages-tools
Requires:       java-1.8.0-openjdk-javaws mozilla-plugin-java-1.8.0-openjdk
Requires:       java
Source44: import.info

%description
The JSpecView Project provides JAVA applets for the display of
JCAMP-DX and AnIML/CML spectral files.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       javapackages-tools
BuildArch: noarch

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n jspecview
%patch0 -p1 -b .fedora

# Fix EOL encodings
for f in JSpecView/extras/{COPYRIGHT,LICENSE,README}.txt; do
 sed 's/\r//' $f > $f.new && \
 touch -r $f $f.new && \
 mv $f.new $f
done

# Remove pre-existing binaries
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

# Install netscape.jar
%if 0%{?mageia} > 6
cp -a %{_datadir}/icedtea-web/jsobject.jar JSpecView/libs/netscape.jar
%else
cp -a %{_datadir}/icedtea-web/plugin.jar JSpecView/libs/netscape.jar
%endif

%build
# Files are UTF-8 encoded
export ANT_OPTS="-Dfile.encoding=UTF8"

# Build library
cd JSpecViewLib
ant
cd ..

cd JSpecView
ant make-application-jar make-applet-jar
cd ..

%install
mkdir -p %{buildroot}%{_javadir}

# Get app version
ver=`ls JSpecView/build/jspecview.app.*.jar| sed "s|JSpecView/build/jspecview.app.||g;s|.jar||g"`
install -D -p -m 644 JSpecView/build/jspecview.app.${ver}.jar %{buildroot}%{_javadir}/jspecview.app.jar
install -D -p -m 644 JSpecView/build/jspecview.applet.${ver}.jar %{buildroot}%{_javadir}/jspecview.applet.jar

# Install symlinks
pushd %{buildroot}%{_javadir}
ln -s jspecview.app.jar jspecview.app.${ver}.jar 
ln -s jspecview.applet.jar jspecview.applet.${ver}.jar 
popd

# Javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp JSpecView/doc/ %{buildroot}%{_javadocdir}/%{name}

%files
%doc JSpecView/extras/README.txt JSpecView/extras/LICENSE.txt JSpecView/extras/COPYRIGHT.txt
%{_javadir}/jspecview.*.jar

%files javadoc
%{_javadocdir}/%{name}/



%changelog
* Fri May 04 2018 Igor Vlasenko <viy@altlinux.ru> 2-alt1_16.1696svn.1
- update by mgaimport

* Thu Mar 22 2018 Igor Vlasenko <viy@altlinux.ru> 2-alt1_5.1464svn.5
- new version

* Mon Sep 08 2014 Igor Vlasenko <viy@altlinux.ru> 2-alt1_5.1171svnjpp7
- new release

* Sat Jul 19 2014 Igor Vlasenko <viy@altlinux.ru> 2-alt1_4.1169svnjpp7
- new version

